kdebaseworkspace-4.4.2-help required

lux-integ lux-integ at btconnect.com
Fri Apr 16 14:15:04 PDT 2010


On Friday 16 April 2010 09:28:00 pm James Richard Tyrer wrote:

> Note that this file should be patched so that everything else comes
> before X11R6 because most systems have a: "/usr/X11R6" link and CMake
> doesn't seem to use the actual directory when it found it with a link as
> Autotools does.
thanks but I have progress since then  
(http://linuxfromscratch.org/pipermail/blfs-support/2010-April/067107.html)
I am now stuck on kdebase-4.4.2  
(http://linuxfromscratch.org/pipermail/blfs-support/2010-April/067108.html )


the cmake output gave this:-

#############

-- Enabling PCI module based on pciutils library
-- Found RAW1394: /opt/lib64/libraw1394.so
-- WARNING: you are using the obsolete 'PKGCONFIG' macro use FindPkgConfig
-- Found GLIB2: /usr/lib64/libglib-2.0.so
-- Looking for XkbLockModifiers in X11
-- Looking for XkbLockModifiers in X11 - not found
-- Looking for include files HAVE_SYS_PROC_H
-- Looking for include files HAVE_SYS_PROC_H - not found.
-- Looking for include files HAVE_SYS_PROC_INFO_H
-- Looking for include files HAVE_SYS_PROC_INFO_H - not found.
-----------------------------------------------------------------------------
-- The following external packages were located on your system.
-- This installation will have the extra features provided by these packages.
-----------------------------------------------------------------------------
   * Soprano - Semantic Desktop Storing
   * Shared desktop ontologies - Desktop ontologies
   * Nepomuk - Nepomuk
   * OpenGL - API for developing portable, interactive 2D and 3D graphics 
applications
   * PCIUTILS - PciUtils is a library for direct access to PCI slots
   * RAW1394 - library for direct access to IEEE 1394 bus
   * glib2 - Low-level core library for data structure handling, portability 
wrappers, etc.
-----------------------------------------------------------------------------
-- The following OPTIONAL packages could NOT be located on your system.
-- Consider installing them to enable more features from this software.
-----------------------------------------------------------------------------
   * XKB  <http://www.x.org>
     X keyboard extension
     Gives Konsole better keyboard support.
-----------------------------------------------------------------------------

###########

The key line appears to be

-- Looking for XkbLockModifiers in X11 - not found


I   have  a full Xorg-7.5  suite  installed (including libxkb
(http://www.linuxfromscratch.org/blfs/view/svn/x/xkeyboard-config.html ).  But 
now libraries or headers arw installed with the latter.  SO  it 
seems I need to   find a way to  'find libX11 WITH the libraries that support 
this function.   ( 
http://lists.kde.org/?l=kde-core-devel&m=121429492814437&w=2)
 
Suggestions welcomed

lux-integ




More information about the blfs-support mailing list